Update user
PUT
https://api.catenda.com/v2/scim/v2/Users/{user-id}
Path Parameters
- user-idstringrequiredDescription
Body Parameters
- bodyobjectrequired
- activestringExampleDescription
- emailsobject[]requiredDescription
- valuestringExampleDescription
- primarybooleanExampleDescription
- typestringExampleDescription
- externalIdstringrequiredExampleDescription
- nameobjectrequiredDescription
- formattedstringExampleDescription
- familyNamestringExampleDescription
- givenNamestringExampleDescription
- schemasstring[]requiredDescription
- userNamestringrequiredExampleDescription
Responses
200
- scim-user
- activestringExampleDescription
- schemasstring[]Example
[ "urn:ietf:params:scim:schemas:core:2.0:User" ]
Description - idstringExampleDescription
- metaobjectDescription
- resourceTypestringExampleDescription
- createdstringExampleDescription
- lastModifiedstringExampleDescription
- locationstringExampleDescription
- versionstringExampleDescription
- userNamestringExampleDescription
- externalIdstringExampleDescription
- nameobjectDescription
- formattedstringExampleDescription
- familyNamestringExampleDescription
- givenNamestringExampleDescription
- emailsobject[]Description
- valuestringExampleDescription
- primarybooleanExampleDescription
- typestringExampleDescription
curl
curl --request PUT \
--url https://api.catenda.com/v2/scim/v2/Users/{user-id} \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data-raw '{
"emails": [
{}
],
"externalId": "user name",
"name": {},
"schemas": [],
"userName": "[email protected]"
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"emails": [
{}
],
"externalId": "user name",
"name": {},
"schemas": [],
"userName": "[email protected]"
});
var requestOptions = {
method: 'PUT',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.catenda.com/v2/scim/v2/Users/{user-id}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.catenda.com/v2/scim/v2/Users/{user-id}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Put.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"emails": [
{}
],
"externalId": "user name",
"name": {},
"schemas": [],
"userName": "[email protected]"
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.catenda.com/v2/scim/v2/Users/{user-id}"
payload = json.dumps({
"emails": [
{}
],
"externalId": "user name",
"name": {},
"schemas": [],
"userName": "[email protected]"
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("PUT", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"active": true,
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"id": "2819c223-7f76-453a-919d-413861904646",
"meta": {
"resourceType": "User",
"created": "2011-08-01T18:29:49.793Z",
"lastModified": "2011-08-01T18:29:49.793Z",
"location": "https://example.com/v2/Users/2819c223-7f76-453a-919d-413861904646",
"version": "W\\/\\\"f250dd84f0671c3\\\""
},
"userName": "[email protected]",
"externalId": "john_smith",
"name": {
"formatted": "JohnSmith",
"familyName": "Smith",
"givenName": "John"
},
"emails": [
{
"value": "[email protected]",
"primary": true,
"type": "work"
}
]
}Update a SCIM user.
Current user must be of organization type.